<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/head-lib-ee.php');
?>

	<style>
	.contentWrap .bg-dark a{color:#ccc}
	.contentWrap .bg-dark a:hover{text-decoration:underline;}
	</style>

	<div style="position:absolute;top:0;left:0;width:100%;height:80px;line-height:80px;font-size:1.3em;padding:0 20px;" class="bg-red" >
		CV n°<?php echo $_GET['id_cv']?>
		<a style="float:right;display:inline-block;line-height:1em;font-size:0.9em;margin-top:20px;margin-right:40px;background:#333;border:1px solid #80001c;text-align:center;padding:5px 15px;border-radius:5px;color:#fff" class="btn" id="afficher">Sélectionner<br>ce CV</a>
	</div>

	<div id="selection" style="position:absolute;top:80px;left:0;width:100%;Xheight:80px;line-height:1.4em;font-size:0.9em;padding:20px 20px;color:#fff;z-index:1;display:none;" class="bg-dark" >
		<?php
			
			$sql = dbquery("SELECT * FROM cv_reponses WHERE id_cv ='".$_GET['id_cv']."' AND id_entreprise = '".$_SESSION['entreprise']['id']."'");

			if(dbnumrows($sql) > 0)
				$id_auditeur	= dbresult($sql,0,"id_entreprise");
			else
				$id_auditeur = '';

			if($id_auditeur == $_SESSION['entreprise']['id']){
				echo 'Vous avez déjà sélectionner ce CV.';
			}
			else{
				echo'En validant, ce Cv sera ajouté à votre selection, consultable depuis le menu CV de votre espace.<a data-id-cv="'.$_GET['id_cv'].'" id="validation" style="vertical-align:bottom;margin-left:40px;background:#fff;padding:5px 15px;border-radius:5px;color:#333;" class="btn">Valider</a>';
			}
		
		?>
	</div>
	
	

	<div style="position:relative;max-height:50%;height:50%;margin-top:80px;width:100%;overflow:auto;padding-bottom:10px;z-index:0;">
		<?php require_once($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/overlay/apercu/cv/content.php');?>
		<?php echo $content?>
	</div>
	
	<script>
	
	function selection(){
	
			$("#afficher").click(function(e){
				e.preventDefault();
				$("#selection").fadeToggle();
			});
	}
	
	function validation(){
		$("#validation").click(function(e){

			e.preventDefault();

			var id_cv		= $(this).attr('data-id-cv');
			
			$.ajax({
				cache:		false,
				type:		"GET",
				url:		"selection.php",
				data:		{ id_cv : id_cv } ,
				success:	function(response){
								$("#selection").html("Le CV a été ajouté avec succès à votre selection");
								$("#selection").delay("1500").slideUp();
							}
			});
			
		});
	}

	$(window).load(selection(),validation());

	</script>
